using Books.Api.GraphQL.Mutations;
using Books.Api.GraphQL.Queries;
using GraphQL.Types;

namespace Books.Api.GraphQL;

public class BooksSchema : Schema
{
    public BooksSchema(IServiceProvider serviceProvider) : base(serviceProvider)
    {
        Query = serviceProvider.GetRequiredService<BooksQuery>();
        Mutation = serviceProvider.GetRequiredService<BooksMutation>();
    }
}
